Name: linuxwacom
Version: 0.8.0
Release: alt1.M41.1

Summary: The Linux Wacom Project
License: GPL
Group: System/X11
Packager: Vitaly Kuznetsov <vitty@altlinux.ru>

Url: http://linuxwacom.sourceforge.net
Source0: http://mesh.dl.sourceforge.net/sourceforge/linuxwacom/%name-%version.tar.bz2
Source1: 50-xserver-xorg-input-wacom.rules
Patch1: %name-xorg73-compile.patch
Patch2: %name-configure-libdir.patch

%define drvname xorg-x11-drv-wacom
%define libname libwacomcfg
%define tklibname libwacomxi

# Automatically added by buildreq on Sun Apr 29 2007
BuildRequires: gcc-c++ imake libncurses-devel libXi-devel libXt-devel tk-devel xorg-cf-files xorg-x11-sdk 

%if_enabled static
BuildRequires: glibc-devel-static
%endif

# due to modules
%set_verify_elf_method unresolved=relaxed

%description
This package contains X.Org driver for Wacom tablets

%package -n %drvname
Summary: The Linux Wacom Project X.Org driver
License: GPL
Group: System/X11

%description -n %drvname
This package contains X.Org input driver for Wacom tablets

NB: for USB devices you might need something like
/dev/input/event4 (highest number if you just plugged
the tablet in), not event0 like docs might suggest;
or use /dev/input/by-id/ entry

%package -n %libname
Summary: The Linux Wacom Project libraries
License: GPL
Group: System/Libraries

%description -n %libname
This package contains configuration library for Wacom
tablet driver

%package -n %libname-devel
Summary: The Linux Wacom Project library headers
License: GPL
Group: Development/C
Requires: %libname = %version-%release

%description -n %libname-devel
This package contains development part of the
configuration library for Wacom tablet driver

%if_enabled static
%package -n %libname-devel-static
Summary: The Linux Wacom Project library (static)
License: GPL
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-devel-static
This package contains statically linked configuration library
for Wacom tablet driver (usually unneeded)
%endif

%package -n %tklibname
Summary: The Linux Wacom Project TkXInput libraries
License: GPL
Group: System/Libraries

%description -n %tklibname
This package contains TkXInput library for Wacom
tablet driver

%package -n %tklibname-devel
Summary: The Linux Wacom Project TkXInput library headers
License: GPL
Group: Development/C
Requires: %tklibname = %version-%release

%description -n %tklibname-devel
This package contains development part of the
TkXInput library for Wacom tablet driver

%if_enabled static
%package -n %tklibname-devel-static
Summary: The Linux Wacom Project TkXInput library (static)
License: GPL
Group: Development/C
Requires: %tklibname-devel = %version-%release

%description -n %tklibname-devel-static
This package contains statically linked TkXInput library
for Wacom tablet driver (usually unneeded)
%endif

%prep
%setup
#%%patch1 -p1
#%%patch2 -p1

%build
CFLAGS="-fno-stack-protector -I/usr/include/pixman-1"
CXXFLAGS="-fno-stack-protector -I/usr/include/pixman-1"
autoreconf -fisv
%configure \
	--enable-wacomdrv=yes \
	--enable-dlloader=yes \
	--enable-shared=yes \
	--with-xmoduledir=%_x11modulesdir/input
%make_build

%install
%makeinstall DESTDIR=%buildroot
#            ^^^^^^^^^^^^^^^^^^ this is bad too
# argh, but an hour spent in makefiles didn't help
# -- half of the project (libwacomcfg) misinstalls
cp -a %buildroot%buildroot/* %buildroot/
rm -rf %buildroot%buildroot
install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/50-xserver-xorg-input-wacom.rules

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files
%_bindir/*
%_sysconfdir/udev/rules.d/*.rules
%doc AUTHORS ChangeLog NEWS README

%files -n %drvname
%_x11modulesdir/*/*
%doc %_man4dir/*

%files -n %libname
%_libdir/*.so.*

%files -n %libname-devel
%_includedir/wacomcfg/*.h
%_libdir/*.so

%if_enabled static
%files -n %libname-devel-static
%_libdir/*.a
%endif

%files -n %tklibname
%_libdir/TkXInput/*.so.*
%_libdir/TkXInput/*.tcl

%files -n %tklibname-devel
%_libdir/TkXInput/*.so

%if_enabled static
%files -n %tklibname-devel-static
%_libdir/TkXInput/*.a
%endif

# TODO
# - figure out whether separate %tklibname is needed

%changelog
* Mon Sep 29 2008 Michael Shigorin <mike@altlinux.org> 0.8.0-alt1.M41.1
- built for M41

* Mon Sep 29 2008 Michael Shigorin <mike@altlinux.org> 0.8.0-alt2
- added udev rules file (slightly adapted from ron@debian's wacom-tools.git)

* Mon Sep 29 2008 Michael Shigorin <mike@altlinux.org> 0.8.0-alt0.M41.1
- built for M41

* Thu Jun 05 2008 Grigory Batalov <bga@altlinux.ru> 0.8.0-alt1
- New upstream release 0.8.0-3.

* Wed Oct 10 2007 Vitaly Kuznetsov <vitty@altlinux.ru> 0.7.8-alt1
- 0.7.8-3
- x86_64 build (not tested!)

* Fri Sep 14 2007 Michael Shigorin <mike@altlinux.org> 0.7.6-alt2
- added patch by Valery Inozemtsev (shrek@)
  to fix build against xorg-7.3

* Tue May 01 2007 Michael Shigorin <mike@altlinux.org> 0.7.6-alt1
- 0.7.6-4 built for ALT Linux
- added ExclusiveArch until TkXInput part gets fixed
- NB: I cannot fully check the package right now
  although the xorg module seems to load and after 
  documented configuration connects to tablet
  (seems like incompatible stylus)

